
kerio.waw.shared.x_3e.x_8q = {};

kerio.waw.shared.x_3e.x_8q.x_uk = function (x_1o, x_47) {
var x_x = kerio.lib.x_x;
var x_ws = x_r.x_im;
var x_cy = 'ruleAction';
switch (x_1o) {
case x_ws.x_in:
x_1o = x_x('Allow', 'common');
x_cy += ' allow';
break;
case x_ws.x_up:
x_1o = x_x('Deny', 'common');
x_cy += ' deny';
break;
case x_ws.x_ur:
x_1o = '';
x_cy += ' unset';
break;
case x_ws.x_xt:
x_1o = x_x('Drop', 'common');
x_cy += ' drop';
break;
case x_ws.x_wv:
x_1o = x_x('Redirect', 'ruleList');
x_cy += ' redirect';
break;
default:
x_1o = '';
x_cy += ' unset';
break;
}return {
x_47: x_1o,
x_cy: x_cy
};
}; 
kerio.waw.shared.x_3e.x_8q.x_8r = function(x_1o, x_47) {
return x_fi.x_1c0(x_1o, x_47.status);
}; 
kerio.waw.shared.x_3e.x_8q.x_1c1 = function(x_1o, x_47) {
var
x_ad = kerio.waw.status.x_43,
x_9r = x_ad.x_9r,
x_1c2,
x_1c3;
x_47.adEnabled = x_9r || x_47.adEnabled;
x_1c2 = x_47.localEnabled && x_47.adEnabled;
x_1c3 = (x_1c2) ? '' : ' disabled';
if (x_9r) {
if (!x_ad.x_ai && !x_ad.x_aj && x_r.x_1c4.x_1c5 !== x_47.authType) {
x_1c3 = ' userInactiveAuth';
}
}
else {
if (x_47.conflictWithLocal) {
x_1c3 = (x_1c2) ? ' userConflict' : ' userInactiveAuth';
}
}
return {
x_47: x_47.credentials.userName,
x_cy: 'userIcon' + x_1c3
};
}; 
kerio.waw.shared.x_3e.x_8q.x_cv = function(x_1o, x_47) {
var x_172 = x_47.credentials || {};
return {
x_cy: 'userIcon',
x_47: x_1o || x_172.userName || x_47.name || x_47.username || ''
};
}; 
kerio.waw.shared.x_3e.x_8q.x_gp = function(x_1o, x_47, x_fl, x_kb, x_3l) {
var
x_kd = x_r.x_1c6,
x_1c7 = x_r.x_1c8,
x_1c9 = x_47.data.userCondition.type,
x_x = kerio.lib.x_x,
x_1p = 'userList',
x_1ca,
x_1cb,
x_1cc;
switch (x_1c9) {
case x_1c7.x_1cd:
x_1cb = ' '; x_1cc = x_x('This rule applies to all users.', 'ftpRuleList');
break;
case x_1c7.x_1ce:
x_1cb = x_x('Authenticated', 'ftpRuleList');
x_1cc = x_x('This rule applies to any user that has logged in.', 'ftpRuleList');
break;
case x_1c7.x_1cf:
x_1cb = x_x('Don\'t authenticate', 'ftpRuleList');
x_1cc = x_x('Don\'t require user authentication.', 'ftpRuleList');
break;
case x_1c7.x_1cg:
x_47.data.users.push({x_1ch: true});
break;
case x_1c7.x_1ci:
if (x_kd) {
x_1ca = x_fi.x_1cj(
{	x_1ck: x_1o,
x_6p: x_fi.x_cw,
x_1cl: 'x_cx'
}
);
x_1cc = x_1ca.x_d1;
x_1cb = x_1ca.x_1o;
}
break;
default:
x_1o = '';
break;
}return {
x_1p: x_1p,
x_kd: x_kd,
x_1cm: x_r.x_1cn,
x_1cb: x_1cb,
x_1cc: x_1cc,
x_ke: true,
x_kf: kerio.waw.shared.x_3e.x_8q.x_1co
};
}; 
kerio.waw.shared.x_3e.x_8q.x_1co = function(x_1o, x_47, x_fl, x_kb, x_3l, x_g7) {
var
x_1cp = x_r.x_1cn - 1, x_42 = x_47.users.length - x_1cp,
x_1cq = (x_1cp === x_g7 && 1 < x_42), x_1cr,
x_cx,
x_1p,
x_d1;
if (x_1o.x_1ch) {
return {
x_ke: x_1cq,
x_47: kerio.lib.x_x('Nobody', 'common'),
x_cy: 'gridListIcon userList objectNothing'
};
}
if (x_1cq) {
x_cx = kerio.lib.x_x('…and %1 more', 'userList', {x_49:[x_42]});
x_1p = '';
x_d1 = kerio.lib.x_qc(
x_fi.x_1cs(
{	x_1ck: x_47.users,
x_1ct: x_1cp,
x_6p: x_fi.x_cw,
x_1cl: 'x_cx'
}
)
);
}
else {
x_1cr = x_fi.x_cw(x_1o);
x_cx = x_1cr.x_cx;
x_1p = x_1cr.x_cz;
x_d1 = x_1cr.x_d1;
}
return {
x_ke: x_1cq,
x_47: x_cx,
x_cy: 'gridListIcon ' + x_1p,
x_d0: x_d1,
x_pi: x_d1
};
}; 
kerio.waw.shared.x_3e.x_8q.x_ct = function(x_1o) {
return {
x_cy: 'userGroupIcon',
x_47: x_1o
};
}; 
kerio.waw.shared.x_3e.x_8q.x_pn = function(x_1o, x_47) {
var x_cz = 'domainIcon ';
if (x_r.x_mp.x_ms === x_47.status) {
x_cz += 'added';
}
else if (x_r.x_mp.x_mt === x_47.status) {
x_cz += 'modified';
}
return {
x_47: x_1o,
x_cy: x_cz,
x_1p: (x_47.primary) ? 'primaryDomain' : ''
};
}; 
kerio.waw.shared.x_3e.x_8q.x_11h = function(x_1o, x_47) {
var x_v3;
if (this.x_11m) {
x_v3 = this.x_11m;
}
else {
x_v3 = x_fa.x_v3;
if (!x_v3 || !x_v3.x_11n || !x_v3.x_11o) {
x_v3 = {
x_11n: kerio.lib.x_x('Allow', 'common'),
x_11o: kerio.lib.x_x('Deny', 'common')
};
x_fa.x_v3 = x_fa.x_v3 || {};
x_fi.x_iq(x_v3, x_fa.x_v3);
x_v3 = x_fa.x_v3;
}
}
var x_cz = 'allowDenyIcon ' + (x_1o ? 'allow' : 'deny');
return {
x_47: (x_1o) ? x_v3.x_11n : x_v3.x_11o,
x_cy: x_cz,
x_1p: (x_1o) ? 'allow' : 'deny'
};
}; 
kerio.waw.shared.x_3e.x_8q.x_gm = function (x_1o, x_47) {
var
x_cy, x_gc;
x_1o = x_47.validAddressGroup; x_gc = x_1o.name;
if ('' === x_gc) {
return {x_47: ''};
}
if (x_1o.invalid) {
x_cy = 'grpHeader ipGroupIcon invalid';
}
else {
x_cy = 'grpHeader ipGroupIcon';
}
return {
x_47: x_gc,
x_cy: x_cy
};
};
kerio.waw.shared.x_3e.x_8q.x_mk = function(x_1o, x_47) {
var x_y = x_r.x_z;
var x_mo = x_r.x_mp;
var x_cz = 'ipGroupIcon ';
var x_gc;
switch (x_47.type) {
case x_y.x_1cu:
x_cz += 'agTypeHost';
x_gc = x_47.host;
break;
case x_y.x_1cv:
x_cz += 'agTypeNetwork';
x_gc = x_47.addr1 + ' / ' + x_47.addr2;
break;
case x_y.x_1cw:
x_cz += 'agTypeRange';
x_gc = x_47.addr1 + ' - ' + x_47.addr2;
break;
case x_y.x_mq:
x_cz += 'agTypeGroup';
x_gc = x_47.childGroupName;
break;
case x_y.x_1cx:
x_cz += 'agTypeFirewall';
x_gc = kerio.lib.x_x('Firewall', 'common');
break;
} switch (x_47.status) {
case x_mo.x_ms:
x_cz += ' added';
break;
case x_mo.x_mt:
x_cz += ' modified';
break;
} return {
x_cy:   x_cz,
x_47: x_gc
};
};
kerio.waw.shared.x_3e.x_8q.x_13k = function(x_1o) {
var x_14a = x_r.x_133;
var x_x = kerio.lib.x_x;
var x_cy = 'interfaceHeaderIcon ';
var x_1cy;
switch (x_1o) {
case x_14a.x_134:
x_cy += 'groupInternet';
x_1cy = x_x('Internet interfaces', 'interfaceList');
break;
case x_14a.x_14c:
x_cy += 'groupTrusted';
x_1cy = x_x('Trusted/Local interfaces', 'interfaceList');
break;
case x_14a.x_14d:
x_cy += 'groupVpn';
x_1cy = x_x('VPN interfaces', 'interfaceList');
break;
case x_14a.x_14e:
x_cy += 'groupOther';
x_1cy = x_x('Other interfaces', 'interfaceList');
break;
} return {
x_47: x_1cy,
x_cy: x_cy
};
};